<template>
  <div
    id="blog"
    class="relative flex w-full cursor-pointer"
    :style="{ flexDirection: $mq === 'mobile' ? 'column' : direction }"
  >
    <div id="img" class="flex-1">
      <img
        :src="data.img"
        class="object-cover h-full w-full rounded-xl"
        :style="{ maxHeight: highlight ? '300px' : '200px' }"
      />
    </div>
    <div
      id="content"
      class="flex flex-col justify-center flex-1 text-black-400"
      :class="{
        'py-0 px-10': highlight && $mq != 'mobile',
        'py-5': !highlight,
      }"
    >
      <div class="text-lg font-semibold lg:text-xl">{{ data.title }}</div>
      <p
        id="data"
        class="flex text-sm font-semibold lg:text-tiny text-black-200"
      >
        <span class="lg:flex-1"> Update: {{ data.date_updated }}</span>
        <span class="ml-5 lg:flex-1 lg:ml-0">{{ data.time }}</span>
      </p>
      <p
        id="desciption"
        class="w-full my-3 font-normal text-tiny lg:text-base line-clamp-5"
      >
        {{ data.desciption }}
      </p>
      <YouLikeIt class="flex flex-1" icon_color="blue" />
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      default: {},
    },
    direction: {
      type: String,
      default: "",
    },
    highlight: {
      type: Boolean,
      default: true,
    },
  },
  mounted() {},
}
</script>

<style lang="scss" scoped></style>
